// =====================================================================
//  $Id: TReadoutIndex.hh,v 1.1.1.1 2003/06/27 02:56:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TREADOUTINDEX_HH
#define __TREADOUTINDEX_HH

#include "Tglobals.h"
#include "TReadoutSpecified.hh"

class TReadoutList;

class TReadoutIndex
  : public Tvector<TReadoutSpecified>
{

  public:
    TReadoutIndex();
    ~TReadoutIndex();

  public:
    TReadoutList* FindReadoutList( const Tstring& id ) const;
    Tvoid AddReadoutList( const Tstring& id, TReadoutList* readoutlist );
    Tvoid RemoveReadoutList( Tint index );
    Tint GetSize() const;
    Tvoid Clear();

};

#endif
